npm ERR!

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
novitibo
Posts: 68
Joined: Mon Feb 29, 2016 5:11 pm

npm ERR!

Post by novitibo »

Tried to install Node-Red, but...
Cannot read property 'resolve' of undefined

/root/.npm/_logs/2019-11-28T10_25_52_501Z-debug.log :

Code: Select all

0 info it worked if it ends with ok
1 verbose cli [
1 verbose cli   '/usr/local/bin/node',
1 verbose cli   '/usr/local/bin/npm',
1 verbose cli   'i',
1 verbose cli   '-g',
1 verbose cli   '--unsafe-perm',
1 verbose cli   'node-red'
1 verbose cli ]
2 info using npm@6.13.1
3 info using node@v13.2.0
4 verbose npm-session 9e8e8ea999b1152b
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 silly fetchPackageMetaData error for node-red@latest Cannot read property 'resolve' of undefined
8 timing stage:rollbackFailedOptional Completed in 10ms
9 timing stage:runTopLevelLifecycles Completed in 206ms
10 verbose stack TypeError: Cannot read property 'resolve' of undefined
10 verbose stack     at regFetch (/usr/local/lib/node_modules/npm/node_modules/npm-registry-fetch/index.js:76:23)
10 verbose stack     at fetchPackument (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/pa$
10 verbose stack     at packument (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/packume$
10 verbose stack     at getManifest (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/manif$
10 verbose stack     at manifest (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/manifest$
10 verbose stack     at Object.manifest (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetchers/registry/i$
10 verbose stack     at Object.Fetcher#manifest [as manifest] (/usr/local/lib/node_modules/npm/node_modules/genfun/l$
10 verbose stack     at manifest (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/fetch.js:23:18)
10 verbose stack     at /usr/local/lib/node_modules/npm/node_modules/pacote/manifest.js:24:12
10 verbose stack     at /usr/local/lib/node_modules/npm/node_modules/promise-inflight/inflight.js:29:24
10 verbose stack     at Promise._execute (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/debuggabi$
10 verbose stack     at Promise._resolveFromExecutor (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/relea$
10 verbose stack     at new Promise (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:79:$
10 verbose stack     at _inflight (/usr/local/lib/node_modules/npm/node_modules/promise-inflight/inflight.js:28:25)
10 verbose stack     at /usr/local/lib/node_modules/npm/node_modules/promise-inflight/inflight.js:22:14
10 verbose stack     at tryCatcher (/usr/local/lib/node_modules/npm/node_modules/bluebird/js/release/util.js:16:23)
11 verbose cwd /tmp/DietPi-Software
12 verbose Linux 4.19.66-v7+
13 verbose argv "/usr/local/bin/node" "/usr/local/bin/npm" "i" "-g" "--unsafe-perm" "node-red"
14 verbose node v13.2.0
15 verbose npm  v6.13.1
16 error Cannot read property 'resolve' of undefined
17 verbose exit [ 1, true ]
Everything is updated and despite dietpi-software reinstall 9 and 122 the issue remains.
As I understant this has been resolved few releases ago, but no luck here today.
novitibo
Posts: 68
Joined: Mon Feb 29, 2016 5:11 pm

Re: npm ERR!

Post by novitibo »

Anybody else have this problem in latest version?
Post Reply